com.holonplatform.vaadin.components.builders

## Interface BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T>

- Type Parameters:
    `T` - Value type
  All Superinterfaces:
    BaseSelectInputBuilder<Set<T>,MultiSelect<T>,T,T,BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T>>, BaseSelectInputBuilder.MultiSelectConfigurator<T,T,BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T>>, BaseSelectModeMultiSelectInputBuilder<T,BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T>>, ComponentConfigurator<BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T>>, InputBuilder<Set<T>,MultiSelect<T>,BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T>>, InputConfigurator<Set<T>,BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T>>, MultiSelectInputBuilder<T,BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T>>, SelectInputBuilder<Set<T>,MultiSelect<T>,T,T,BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T>>, SelectItemDataSourceBuilder<Set<T>,MultiSelect<T>,T,T,BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T>>
  Enclosing interface:
    BaseSelectModeMultiSelectInputBuilder<T,B extends BaseSelectModeMultiSelectInputBuilder<T,B>>

      public static interface BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T>
      extends BaseSelectModeMultiSelectInputBuilder<T,BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T>>

  A `MultiSelectInputBuilder` for `RenderingMode#OPTIONS`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectModeMultiSelectInputBuilder

      `BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T>, BaseSelectModeMultiSelectInputBuilder.SelectModeMultiSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.MultiSelectInputBuilder

      `MultiSelectInputBuilder.GenericMultiSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>>, BaseSelectInputBuilder.RenderingMode, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T>` | `htmlContentAllowed(boolean htmlContentAllowed)` Sets whether html is allowed in the item captions.
    `BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T>` | `itemEnabledProvider(com.vaadin.server.SerializablePredicate<T> itemEnabledProvider)` Sets the item enabled predicate.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.MultiSelectInputBuilder

      `withValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectItemDataSourceBuilder

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectInputBuilder

      `addItem, addItem, addItem, addItem, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator, itemDescriptionGenerator, itemIcon, itemIconGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputBuilder

      `asField, build, deferLocalization, dragSource, dropTarget, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### htmlContentAllowed

          BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T> htmlContentAllowed(boolean htmlContentAllowed)

      Sets whether html is allowed in the item captions.
      Parameters:
        `htmlContentAllowed` - true if the captions are used as html, false if used as plain text
      Returns:
        this

    - #### itemEnabledProvider

          BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T> itemEnabledProvider(com.vaadin.server.SerializablePredicate<T> itemEnabledProvider)

      Sets the item enabled predicate. The predicate is applied to each item to determine whether the item should be enabled or disabled.
      Parameters:
        `itemEnabledProvider` - the item enabled provider to set (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.